
Redmine - Defect #21477

Assign to "Anonymous" doesn't make much sense

2015-12-10 18:16 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.4   

Resolution: Fixed Affected version:  

Description

Issues might be created by "Anonymous" (most prominent example would be via email). The author is added to the list of assignable

users, which doesn't make much sense.

I will provide a patch to not add the author to the list of assignable users if the author is anonymous.

Associated revisions

Revision 14970 - 2015-12-12 13:31 - Jean-Philippe Lang

Don't include anonymous user in assignable users (#21477).

Patch by Felix Schäfer.

Revision 14971 - 2015-12-12 13:36 - Jean-Philippe Lang

Adds a test for #21477.

Revision 14972 - 2015-12-12 13:37 - Jean-Philippe Lang

Don't include locked user in assignable users (#21477).

Revision 14980 - 2015-12-19 09:01 - Jean-Philippe Lang

Merged r14970 to r14972 (#21477).

Revision 14981 - 2015-12-19 09:02 - Jean-Philippe Lang

Merged r14970 to r14972 (#21477).

History

#1 - 2015-12-10 18:18 - Felix Schäfer

- File 21477-dont_add_anonymous_author_to_assignable_users.diff added

#2 - 2015-12-11 09:01 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#3 - 2015-12-12 13:32 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.2.1

- Resolution set to Fixed

Thanks.

#4 - 2015-12-12 20:09 - Felix Schäfer

Not adding locked users seems sensible too, hadn't thought of that.

Thanks JPL.
#5 - 2015-12-13 15:54 - Jean-Philippe Lang

- Target version changed from 3.2.1 to 3.1.4

#6 - 2015-12-19 09:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2016-09-21 13:01 - Fran Fabrizio

What is the rationale for always adding a (non-anonymous, non-locked) author to the assignable users list?  I was caught by surprise on this behavior,

since if the author is a member of a non-assignable role I would not expect to find them on the assignable users list, yet they are still included.  I want

to disable this behavior but want to first make sure I'm not missing an obvious reason why this is being done.

My scenario is that all of our staff can use Redmine to submit tasks/requests to a certain small team we have which is responsible for handling those

tasks, but only the team members themselves should be able to be assigned issues.  It's confusing to those team members to also see the author on

the list of assignable users every time, and they've asked me if I can change that behavior.  Seems like a trivial edit to the model but want to make

sure I don't inadvertently break something.

Thanks!

Files

21477-dont_add_anonymous_author_to_assignable_users.diff 452 Bytes 2015-12-10 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

